incubator-hise-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r.@apache.org
Subject svn commit: r982902 - in /incubator/hise/trunk: ci-build.sh hise-docs/generate hise-docs/generate.sh
Date Fri, 06 Aug 2010 08:10:37 GMT
Author: rr
Date: Fri Aug  6 08:10:37 2010
New Revision: 982902

URL: http://svn.apache.org/viewvc?rev=982902&view=rev
Log:
Added HISE docs generation during ci-build

Added:
    incubator/hise/trunk/hise-docs/generate.sh   (with props)
Removed:
    incubator/hise/trunk/hise-docs/generate
Modified:
    incubator/hise/trunk/ci-build.sh

Modified: incubator/hise/trunk/ci-build.sh
URL: http://svn.apache.org/viewvc/incubator/hise/trunk/ci-build.sh?rev=982902&r1=982901&r2=982902&view=diff
==============================================================================
--- incubator/hise/trunk/ci-build.sh (original)
+++ incubator/hise/trunk/ci-build.sh Fri Aug  6 08:10:37 2010
@@ -18,3 +18,4 @@
 set -e
 mvn clean install
 (cd itest; ./itest)
+(cd hise-docs; ./generate.sh)

Added: incubator/hise/trunk/hise-docs/generate.sh
URL: http://svn.apache.org/viewvc/incubator/hise/trunk/hise-docs/generate.sh?rev=982902&view=auto
==============================================================================
--- incubator/hise/trunk/hise-docs/generate.sh (added)
+++ incubator/hise/trunk/hise-docs/generate.sh Fri Aug  6 08:10:37 2010
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ "${DOCBOOK_DIR}" = "" ];then 
+cat <<EOF
+Please provide DOCBOOK_DIR (docbook-xsl-1.75.2), like
+DOCBOOK_DIR=/some/dir/ ./generate
+
+EOF
+exit 1
+fi
+
+mvn clean compile
+mkdir -p target/site
+for i in target/classes/*.xml;do
+j="`basename $i .xml`"
+xsltproc       --output  target/site/${j}.xhtml      ${DOCBOOK_DIR}/xhtml/docbook.xsl  $i
+done
+cp src/main/resources/*.png target/site

Propchange: incubator/hise/trunk/hise-docs/generate.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message